#include <cstdlib>
#include <cstring>
#include <iostream>
#include <rdbxx/RDB.h>

using namespace std;

int main( int argc, char* argv[] ) {

  if ( 1 < argc ) {
    try {
      char name[256], def[2];
      RDB ordb( argv[1], ios::out );

      ordb.setComment( "Foobar..." );

      strcpy( name, "One" );
      strcpy( def, "N" );
      ordb.setColumn( name, def );

      strcpy( name, "Two" );
      strcpy( def, "S" );
      ordb.setColumn( name, def );
      
    } catch ( RDBErr& re ) {
      cerr << "RDBErr:" << endl << re << endl;
      return EXIT_FAILURE;
      
    } catch ( Exception& E ) {
      cerr << "Exception:" << endl << E << endl;
      return EXIT_FAILURE;
      
    } catch ( exception& e ) {
      cerr << "exception:" << endl << e.what( ) << endl;
      return EXIT_FAILURE;
      
    } catch ( ... ) {
      cerr << "Caught something unexpected..." << endl;
      return EXIT_FAILURE;
      
    }
  }

  return EXIT_SUCCESS;
}
