#include <iostream>
#include <rdbxx/RDBErr.h>

int main( int argc, char* argv[] ) {
  RDBErr re1, re2("Second RDB error");
  int id = 1;
  while ( 0 != id ) {
    try { 
      switch ( id++ ) {
      case 1:
	throw( re1 );
	break;
      case 2:
	throw( re2 );
	break;
      default:
	id = 0;
	break;

      }
    } catch ( RDBErr& e ) { 
      std::cerr << "Caught an RDBErr object:           " << e << "\n";
      
    } catch ( Exception& e ) { 
      std::cerr << "Caught an Exception object:        " << e << "\n";
      
    } catch ( exception& e ) { 
      std::cerr << "Caught an exception object:        " << e.what( ) << "\n";
      
    }
  }

  return 0;

}
