#include <iostream>
#include <rdbxx/RDB.h>

int main( int argc, char* argv[] ) {
  try { 
    RDB irdb( &cin );
    RDBColumn* colptr;
    double dbl;
    std::string str;

    irdb.getColumn( 0 )->mapData( &dbl, 1 );
    irdb.getColumn( 1 )->mapData( &str, 1 );

    colptr = irdb.getColumn( 0 );
    ((RDBDoubleColumn *)colptr)->setData( 3.141 );
    ((RDBStringColumn *)colptr)->setData( 3.141 );
    std::cout << "(RDBDoubleColumn*)->getDataDouble( ):  " << ((RDBDoubleColumn *)colptr)->getDataDouble( ) << "\n";
    std::cout << "(RDBStringColumn*)->getDataDouble( ):  " << ((RDBStringColumn *)colptr)->getDataDouble( ) << "\n";

    while ( irdb.read( ) ) {
      std::cout << "dbl:  " << dbl << "\n"
		<< "str:  " << str << "\n"
		<< "\n";

    }
  } catch ( Exception& E ) {
    std::cerr << E << "\n";

  } catch ( exception& e ) {
    std::cerr << e.what( ) << "\n";

  } 

  return 0;
}
