#include <cstdlib>
#include <iostream>
#include <rdbxx/RDB.h>

using namespace std;

int main( int argc, char* argv[] ) {

  if ( 3 != argc ) {
    cerr << "Usage:  " << argv[0] << " irdb ordb" << endl;
    return EXIT_FAILURE;

  }

  try {
    RDB irdb( argv[1], ios::in );
    RDB ordb( argv[2], ios::out );

    size_t idx;

    ordb.setComment( irdb );
    ordb.setColumn(  irdb );

    while ( irdb.read( ) ) {
      ordb.write( );

    }
  } catch ( RDBErr& re ) {
    cerr << "RDBErr:" << endl << re << endl;
    return EXIT_FAILURE;
    
  } catch ( Exception& E ) {
    cerr << "Exception:" << endl << E << endl;
    return EXIT_FAILURE;

  } catch ( exception& e ) {
    cerr << "exception:" << endl << e.what( ) << endl;
    return EXIT_FAILURE;
    
  } catch ( ... ) {
    cerr << "Caught something unexpected..." << endl;
    return EXIT_FAILURE;

  }
  
  return EXIT_SUCCESS;
}
